package otros.arkanoid;

import capitulo04.utils.Utils;

public class Ladrillo {
    private String color;
    private int x;
    private int y;
    private int ancho;
    private int alto;
    private int puntosVida;

    public Ladrillo() {
        this.x = Utils.generarIntAleatorioEntreLimites(0, 800);
        this.y = Utils.generarIntAleatorioEntreLimites(0, 500);
        this.ancho = 100;
        this.alto = 50;
        this.puntosVida = Utils.generarIntAleatorioEntreLimites(1, 3);

        String[] colores = new String[]{"rojo", "verde", "azul"};
        if (puntosVida == 1) {
            int colorEscogido = Utils.generarIntAleatorioEntreLimites(0, 2);
            this.color = colores[colorEscogido];
        } else if (puntosVida == 2) {
            this.color = "plateado";
        } else {
            this.color = "dorado";
        }
    }

    /**
     * @param p Pelota
     * @return Devuelve si tiene vida o se ha quedado a 0
     */
    public boolean pelotaChocaEnLadrillo(Pelota p) {
        if (p.getX() > this.x
                && p.getY() > this.y) {

        }
        return false;
    }


    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color;
    }

    public int getX() {
        return x;
    }

    public void setX(int x) {
        this.x = x;
    }

    public int getY() {
        return y;
    }

    public void setY(int y) {
        this.y = y;
    }

    public int getAncho() {
        return ancho;
    }

    public void setAncho(int ancho) {
        this.ancho = ancho;
    }

    public int getAlto() {
        return alto;
    }

    public void setAlto(int alto) {
        this.alto = alto;
    }

    public int getPuntosVida() {
        return puntosVida;
    }

    public void setPuntosVida(int puntosVida) {
        this.puntosVida = puntosVida;
    }

    @Override
    public String toString() {
        return "Ladrillo{" +
                "color='" + color + '\'' +
                ", x=" + x +
                ", y=" + y +
                ", ancho=" + ancho +
                ", alto=" + alto +
                ", puntosVida=" + puntosVida +
                '}';
    }
}
